package util;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;

public class Reader {
    private static final String LOCAL_ENCODING = System.getProperty("file.encoding");
    private BufferedReader reader;

    public Reader() {
        try {
            reader = new BufferedReader(new InputStreamReader(System.in, LOCAL_ENCODING));
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
    }

    public String readKB() {
        if (reader != null) {
            String line = null;
            try {
                if ((line = reader.readLine()) != null) {
                    return line;
                }
            } catch (IOException e) {
                e.printStackTrace();
            }
        }else{
            System.out.println("输入流初始化失败");
        }
        return null;
    }
}
